iSndSysSourceSoftware Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysSourceSoftware Struct Reference
Sound system

Sound source extensions for the software renderer. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSourceSoftware:

List of all members.

## Public Member Functions
virtual bool | AddOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Add an output filter at the specified location.
virtual size_t | MergeIntoBuffer (csSoundSample *frame_buffer, size_t frame_count)=0
| Renderer convenience interface - requests the source to fill the supplied buffers.
virtual void | ProcessOutputFilters ()=0
| Renderer convenience interface - Called to provide processing of output filters.
virtual bool | RemoveOutputFilter (SndSysFilterLocation Location, iSndSysSoftwareOutputFilter *pFilter)=0
| Remove an output filter from the registered list.

## Detailed Description

Sound source extensions for the software renderer.

Definition at line 67 of file ss_source.h.

## Member Function Documentation

virtual bool iSndSysSourceSoftware::AddOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter
| ) |  | `[pure virtual]`

Add an output filter at the specified location.

virtual size_t iSndSysSourceSoftware::MergeIntoBuffer | ( | csSoundSample * | frame_buffer,
|  | size_t | frame_count
| ) |  | `[pure virtual]`

Renderer convenience interface - requests the source to fill the supplied buffers.

Parameters:

  frame_buffer | - A pointer to an array of csSoundSample sample buffers to be filled with sound sample data
  frame_count | - The size of the buffer pointed to by frame_buffer in frames.

Returns:
  - The number of frames that were actually filled.

virtual void iSndSysSourceSoftware::ProcessOutputFilters | ( |  | ) | `[pure virtual]`

Renderer convenience interface - Called to provide processing of output filters.

virtual bool iSndSysSourceSoftware::RemoveOutputFilter | ( | SndSysFilterLocation | Location,
|  | iSndSysSoftwareOutputFilter * | pFilter
| ) |  | `[pure virtual]`

Remove an output filter from the registered list.

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h